native_pdf_view 3.8.0

Flutter Android iOS

Flutter plugin to render PDF files on Web, MacOS, Android and iOS.

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:

dependencies:
  native_pdf_view: ^3.8.0

2. Install it

You can install packages from the command line:

with Flutter:

$ flutter pub get

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:

import 'package:native_pdf_view/native_pdf_view.dart';
80
likes
100
pub points
94%
popularity

Publisher

serge.software

Flutter plugin to render PDF files on Web, MacOS, Android and iOS.

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

device_info, extended_image, flutter, native_pdf_renderer, synchronized

More

Packages that depend on native_pdf_view